Ayuda con mi tarjeta gráfica. Soy noob en esto

Imagen de AxDaos
0 puntos

Estuve 5 horas de mi existencia intentando instalar el mugroso driver para así poder disfrutar de ubuntu al 100, a lo largo de esto me di cuenta que ATI se dedicó a ya no hacer drivers para esto. Luego instalé un driver genérico, no me funcionaba el OpenGL así que decidí desistalarlo y resultó bastante bien.
Regresé a lo mismo del principio. Luego me metí a este URL:
http://support.amd.com/us/gpudownload/linux/Legacy/Pages/radeon_linux.as...
Aquí supuestamente encontré el driver ahí está en la lista ¬¬. Si se preguntan como se el modelo de mi targeta es por que ya abrí mi terminal y puse:

lspci -nn | grep VGA

Lo cual me bota lo siguiente:

VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RS690M [Radeon X1200 Series] [1002:791f]

Luego de descargar instalé de la siguiente manera:
Click derecho en el archivo, propiedades, permisos y le di en "permitir ejecutar este archivo run ejecutarse como programa."
En terminal, $cd ~/Descargas/.
Y luego $sudo /ati-driver-installer-9-3-x86.x86_64.run.
-------------------------------------------------------------------------
Mágicamente después de todo eso me sale ESTO!!!

Error: ./default_policy.sh does not support version
default:v2:x86_64:lib::none:3.2.0-30-generic; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.F2Ygqm
-------------------------------------------------------------------------
Que hago por el grandísimo amor a Dios.

AYUDA.